Bug 836587 - Review Request: php-htmLawed - PHP code to purify and filter HTML
Review Request: php-htmLawed - PHP code to purify and filter HTML
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 11:16 EDT by Remi Collet
Modified: 2012-07-20 20:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-14 17:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Package review (initially generated by fedora-review 0.1.3) (9.43 KB, text/plain)
2012-07-04 16:01 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2012-06-29 11:16:48 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/php-htmLawed/php-htmLawed.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-htmLawed-1.1.11-1.remi.src.rpm
Description: 
PHP code to purify and filter HTML

* make HTML markup in text secure and standard-compliant
* process text for use in HTML, XHTML or XML documents
* restrict HTML elements, attributes or URL protocols
  using black or white-lists
* balance tags, check element nesting, transform deprecated
  attributes and tags, make relative URLs absolute, etc.
* fast, highly customizable, well-documented
* single, 48 kb file
* simple HTML Tidy alternative
* free and licensed under LGPL v3 and GPL v2+
* use to filter, secure and sanitize HTML in blog comments or
  forum posts, generate XML-compatible feed items from web-page
  excerpts, convert HTML to XHTML, pretty-print HTML, scrape
  web-pages, reduce spam, remove XSS code, etc.

Fedora Account System Username: remi
Comment 1 Remi Collet 2012-06-29 11:24:18 EDT
Note to reviewer : target is fedora >= 16 and EPEL >= 5
Comment 2 Shawn Iwinski 2012-07-04 14:07:05 EDT
htmlLawed documentation [1] says its' license is "LGPL license version 3 and GPL license version 2 or later", but the spec file has "LGPLv3+ and GPLv2+".  Shouldn't the spec file have "LGPLv3 and GPLv2+" (no "+" for LGPL)?

[1] http://www.bioinformatics.org/phplabware/internal_utilities/htmLawed/htmLawed_README.htm#s1.4
Comment 3 Remi Collet 2012-07-04 14:23:58 EDT
Hard to say if 
  LGPL license version 3 and GPL license version 2 or later
means
 (LGPL license version 3 and GPL license version 2) or later
or 
  LGPL license version 3 and (GPL license version 2 or later)

I have ask upstream to clarify
http://www.bioinformatics.org/phplabware/forum/viewtopic.php?pid=627#p627
Comment 5 Shawn Iwinski 2012-07-04 15:00:07 EDT
EPEL 5 build seems to fail: http://koji.fedoraproject.org/koji/taskinfo?taskID=4218696

I've run into this issue before when using a later SRPM for RHEL/EPEL 5 builds.  Will the build succeed using "fedpkg build" from the "el5" repo branch?
Comment 6 Shawn Iwinski 2012-07-04 15:40:48 EDT
I'm assuming since the PHP version dependency is so low, and since you require php-ctype and php-pcre, you don't need to explicitly require php-common?

Also, we should notify phpci upstream that there is a false positive of the session extension.
Comment 7 Remi Collet 2012-07-04 15:41:32 EDT
Hum... from a local generic srpm, succeed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4218766

From a local mock el5 result srpm, also succeed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4218770

From your build log
DEBUG util.py:257:  error: unpacking of archive failed on file /builddir/build/SOURCES/htmLawed.zip;4ff490d7: cpio: MD5 sum mismatch

So I think to a temporary issue...
Comment 8 Remi Collet 2012-07-04 15:45:08 EDT
(In reply to comment #6)
> I'm assuming since the PHP version dependency is so low, and since you
> require php-ctype and php-pcre, you don't need to explicitly require
> php-common?

Yes.

> Also, we should notify phpci upstream that there is a false positive of the
> session extension.

I don't see this...
$ phpci print --report extension /usr/share/php/htmLawed/
-------------------------------------------------------------------------------
  EXTENSION                                        PECL   VERSION         COUNT
-------------------------------------------------------------------------------
  Core                                                    4.0.0              27
  ctype                                                   4.0.4               3
  pcre                                                    4.0.0              54
  standard                                                4.0.0             204
-------------------------------------------------------------------------------

Have you run phpci on the full tree sources ?
(htmLawedTest.php use session, but is only provided as %doc)?
Comment 9 Shawn Iwinski 2012-07-04 15:57:48 EDT
(In reply to comment #8)
> Have you run phpci on the full tree sources ?
> (htmLawedTest.php use session, but is only provided as %doc)?

Indeed I did.  My mistake.
Comment 10 Shawn Iwinski 2012-07-04 16:01:29 EDT
Created attachment 596283 [details]
Package review (initially generated by fedora-review 0.1.3)
Comment 11 Shawn Iwinski 2012-07-04 16:02:45 EDT
No issues detected

=== APPROVED ===
Comment 12 Remi Collet 2012-07-04 16:08:55 EDT
Thanks for the quick review.

New Package SCM Request
=======================
Package Name: php-htmLawed
Short Description: PHP code to purify and filter HTML
Owners: remi
Branches: f16 f17 el5 el6
InitialCC:
Comment 13 Gwyn Ciesla 2012-07-04 17:09:35 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-07-05 15:06:23 EDT
php-htmLawed-1.1.12-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-htmLawed-1.1.12-1.fc17
Comment 15 Fedora Update System 2012-07-05 15:06:46 EDT
php-htmLawed-1.1.12-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-htmLawed-1.1.12-1.fc16
Comment 16 Fedora Update System 2012-07-05 15:07:15 EDT
php-htmLawed-1.1.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-htmLawed-1.1.12-1.el5
Comment 17 Fedora Update System 2012-07-05 15:07:42 EDT
php-htmLawed-1.1.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-htmLawed-1.1.12-1.el6
Comment 18 Fedora Update System 2012-07-05 19:02:32 EDT
php-htmLawed-1.1.12-1.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 19 Fedora Update System 2012-07-14 17:55:32 EDT
php-htmLawed-1.1.12-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 20 Fedora Update System 2012-07-14 17:56:23 EDT
php-htmLawed-1.1.12-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 21 Fedora Update System 2012-07-20 20:21:37 EDT
php-htmLawed-1.1.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 22 Fedora Update System 2012-07-20 20:23:25 EDT
php-htmLawed-1.1.12-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.